Deployments.ai Docs
Models

List the organization's model provider keys; keys are shown by last four only

GET /v1/organizations/{id}/model-credentials · SDK listModelCredentials · CLI deployments model-credential list

GET
/v1/organizations/{id}/model-credentials

Requires models:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListModelCredentialsResponse

application/json
  1. response
items*array<>
curl -X GET "https://example.com/v1/organizations/string/model-credentials" \  -H "x-deployments-organization: string"
{  "items": [    {      "createdAt": "2019-08-24T14:15:22Z",      "credentialId": "string",      "keyVersion": 1,      "label": "string",      "lastFour": "string",      "provider": "openai",      "revokedAt": "2019-08-24T14:15:22Z",      "revokedBy": "string",      "setAt": "2019-08-24T14:15:22Z",      "setBy": "string",      "status": "active",      "updatedAt": "2019-08-24T14:15:22Z",      "version": 1    }  ]}